com.brightcove.player.mediacontroller.buttons

## Class SeekButtonController.OnHoldHandler

- java.lang.Object
- - android.os.Handler
  - - com.brightcove.player.mediacontroller.buttons.SeekButtonController.OnHoldHandler

- Enclosing class:
    SeekButtonController

      protected class SeekButtonController.OnHoldHandler
      extends android.os.Handler

  Android Handler used to send `EventType.SEEKBAR_DRAGGING_PROGRESS` event when any of the Seek button is kept held, and `EventType.SEEKBAR_DRAGGING_STOP` event when the Seek button was released.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.Handler

      `android.os.Handler.Callback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnHoldHandler(android.os.Looper looper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(android.os.Message msg)`

    - ### Methods inherited from class android.os.Handler

      `createAsync, createAsync, dispatchMessage, dump, getLooper, getMessageName, hasCallbacks, hasMessages, hasMessages, obtainMessage, obtainMessage, obtainMessage, obtainMessage, obtainMessage, post, postAtFrontOfQueue, postAtTime, postAtTime, postDelayed, postDelayed, removeCallbacks, removeCallbacks, removeCallbacksAndMessages, removeMessages, removeMessages, sendEmptyMessage, sendEmptyMessageAtTime, sendEmptyMessageDelayed, sendMessage, sendMessageAtFrontOfQueue, sendMessageAtTime, sendMessageDelayed, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OnHoldHandler

          public OnHoldHandler(android.os.Looper looper)

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(android.os.Message msg)

      Overrides:
        `handleMessage` in class `android.os.Handler`